#include <u.h>
#include <libc.h>
#include "httpd.h"
#include "httpsrv.h"

void
logit(HConnect *c, char *fmt, ...)
{
	char buf[4096];
	va_list arg;
	HSPriv *p;
	char *me;
	char *s;
	char *remote;
	char *port;

	va_start(arg, fmt);
	vseprint(buf, buf+sizeof(buf), fmt, arg);
	va_end(arg);
	p = nil;
	me = nil;
	if(c != nil){
		p = c->private;
		me = c->head.host;
	}
	if(!me)
		me = "-";
	/*	examples of "me":
	*	ar
	*	ar.aichi-u.ac.jp
	*	ar:8080
	*	ar.aichi-u.ac.jp:8080	*/
	me = hstrdup(c, me);
	port = strchr(me,':');
	if(port)
		*port++ = 0;
	s = strchr(me, '.');
	if(s)
		*s = 0;
	remote = "none";
	if(p != nil && p->remotesys != nil)
		remote = p->remotesys;
	if(port)
		syslog(0, HTTPLOG, "%d %s %s:%s %s", getpid(), remote, me, port, buf);
	else
		syslog(0, HTTPLOG, "%d %s %s %s", getpid(), remote, me, buf);
}
